.overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  z-index: 100;
  display: flex;
  align-items: center;
  justify-content: center;
}

.modal-container {
  padding: 40px;
  border-radius: 30px;
  background-color: var(--gray);
  width: 800px;
}

.modal-title {
  text-align: center;
  font-weight: bold;
  font-size: var(--middle-font-size);
  color: var(--brown);
  margin-bottom: 30px;
}

.form__group {
  width: 100% !important;
}

.field {
  margin: 15px 0px;
}

.btn-full {
  margin: 0 auto;
}

/*Checkbox*/

.checkbox-wrapper {
  display: flex;
  align-items: center;
  gap: 10px;
  margin: 20px;
}

.checkbox-wrapper-17 {
  display: flex;
}

.checkbox-wrapper-17 input[type=checkbox] {
  height: 0;
  width: 0;
  visibility: hidden;
}

.checkbox-wrapper-17 label {
  --size: 40px;

  cursor: pointer;
  width: var(--size);
  height: calc(var(--size) / 2);
  background: var(--white);
  display: block;
  border-radius: 100px;
  position: relative;
}

.checkbox-wrapper-17 label:after {
  content: '';
  position: absolute;
  top: 6%;
  left: 2.5%;
  width: calc(50% - 5%);
  height: calc(100% - 11%);
  background: #fff;
  border-radius: 90px;
  transition: 0.3s;
}

.checkbox-wrapper-17 input:checked + label {
  background: var(--brown);
}

.checkbox-wrapper-17 input:checked + label:after {
  left: calc(100% - 2.5%);
  transform: translateX(-100%);
}

.checkbox-wrapper-17 label:active:after {
  width: 55%;
}

.reglaments-text {
  color: var(--green);
}


/*Table*/

.table {
  width: 100%;
  border: 1px solid var(--white);
  max-height: 500px;
  overflow-y: scroll;
}

.table-header {
  display: flex;
  width: 100%;
  background: var(--brown);
  padding: 18px 0;
}

.table-row {
  display: flex;
  width: 100%;
  padding: 18px 0;
}
.table-row:nth-of-type(odd) {
  background: var(--white);
}

.table-data, .header__item {
  flex: 1 1 20%;
  text-align: center;
}

.header__item {
  color: var(--gray);
  text-transform: uppercase;
}

.filter__link {
  color: var(--gray);
  text-decoration: none;
  position: relative;
  display: inline-block;
  padding-left: 24px;
  padding-right: 24px;
}

.filter__link::after {
  content: "";
  position: absolute;
  right: -18px;
  color: var(--gray);
  font-size: 12px;
  top: 50%;
  transform: translateY(-50%);
}
.filter__link.desc::after {
  content: "(desc)";
}
.filter__link.asc::after {
  content: "(asc)";
}

.modal-title-box {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.modal-title-box p {
  margin: 0;
}

.modal-title-box img {
  transform: rotate(45deg);
  width: 30px;
}
